/*!
 * Copyright © 2005-2024 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Alfresco Example Content Application
 *
 * This file is part of the Alfresco Example Content Application.
 * If the software was purchased under a paid Alfresco license, the terms of
 * the paid license agreement will prevail. Otherwise, the software is
 * provided under the following open source license terms:
 *
 * The Alfresco Example Content Application is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Alfresco Example Content Application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * from Hyland Software. If not, see <http://www.gnu.org/licenses/>.
 */
import { BaseComponent } from '../base.component';
import { Page } from '@playwright/test';
export declare class ManageRulesDialogComponent extends BaseComponent {
    private static rootElement;
    createRuleButton: import("playwright-core").Locator;
    cancelRuleButton: import("playwright-core").Locator;
    ruleNameInputLocator: import("playwright-core").Locator;
    ruleDescriptionInputLocator: import("playwright-core").Locator;
    addConditionButton: import("playwright-core").Locator;
    addConditionGroupButton: import("playwright-core").Locator;
    fieldDropDown: import("playwright-core").Locator;
    comparatorDropDown: import("playwright-core").Locator;
    valueField: import("playwright-core").Locator;
    whenCreatedCheckbox: import("playwright-core").Locator;
    whenUpdatedCheckbox: import("playwright-core").Locator;
    whenDeletedCheckbox: import("playwright-core").Locator;
    destinationFolderButton: import("playwright-core").Locator;
    ruleInBackgroundCheckbox: import("playwright-core").Locator;
    ruleSubfoldersCheckbox: import("playwright-core").Locator;
    ruleDisableCheckbox: import("playwright-core").Locator;
    actionsEllipsisButtons: import("playwright-core").Locator;
    actionsEllipsisDelete: import("playwright-core").Locator;
    conditionsEllipsisButtons: import("playwright-core").Locator;
    conditionsEllipsisDelete: import("playwright-core").Locator;
    constructor(page: Page);
    deleteActions(noActions: number): Promise<void>;
    deleteConditions(noConditions: number): Promise<void>;
}
