/*!
 * Copyright © 2005-2024 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Alfresco Example Content Application
 *
 * This file is part of the Alfresco Example Content Application.
 * If the software was purchased under a paid Alfresco license, the terms of
 * the paid license agreement will prevail. Otherwise, the software is
 * provided under the following open source license terms:
 *
 * The Alfresco Example Content Application is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Alfresco Example Content Application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * from Hyland Software. If not, see <http://www.gnu.org/licenses/>.
 */
import { Page } from '@playwright/test';
import { BaseComponent } from './base.component';
import { AcaHeader } from './aca-header.component';
export declare class ViewerComponent extends BaseComponent {
    private static rootElement;
    viewerLocator: import("playwright-core").Locator;
    closeButtonLocator: import("playwright-core").Locator;
    fileTitleButtonLocator: import("playwright-core").Locator;
    pdfViewerContentPages: import("playwright-core").Locator;
    shareButton: import("playwright-core").Locator;
    downloadButton: import("playwright-core").Locator;
    allButtons: import("playwright-core").Locator;
    unknownFormat: import("playwright-core").Locator;
    viewerImage: import("playwright-core").Locator;
    viewerDocument: import("playwright-core").Locator;
    documentThumbnailButton: import("playwright-core").Locator;
    thumbnailsPages: import("playwright-core").Locator;
    thumbnailsCloseButton: import("playwright-core").Locator;
    viewerPage: import("playwright-core").Locator;
    viewerMedia: import("playwright-core").Locator;
    viewerSpinner: import("playwright-core").Locator;
    toolbar: AcaHeader;
    constructor(page: Page);
    isPdfViewerContentDisplayed(): Promise<boolean>;
    waitForViewerToOpen(waitForViewerContent?: 'wait for viewer content'): Promise<void>;
    isViewerOpened(): Promise<boolean>;
    waitForViewerLoaderToFinish(): Promise<void>;
    checkViewerActivePage(pageNumber: number): Promise<void>;
    clickViewerThumbnailPage(pageNumber: number): Promise<void>;
    isCloseButtonDisplayed(): Promise<boolean>;
    isFileTitleDisplayed(): Promise<boolean>;
    getFileTitle(): Promise<string>;
    getCloseButtonTooltip(): Promise<string>;
    verifyViewerPrimaryActions(expectedToolbarPrimary: string[]): Promise<void>;
    checkUnknownFormatIsDisplayed(): Promise<void>;
    getUnknownFormatMessage(): Promise<string>;
}
