/*!
 * Copyright © 2005-2024 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Alfresco Example Content Application
 *
 * This file is part of the Alfresco Example Content Application.
 * If the software was purchased under a paid Alfresco license, the terms of
 * the paid license agreement will prevail. Otherwise, the software is
 * provided under the following open source license terms:
 *
 * The Alfresco Example Content Application is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Alfresco Example Content Application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * from Hyland Software. If not, see <http://www.gnu.org/licenses/>.
 */
import { Page } from '@playwright/test';
import { BasePage } from './base.page';
import { DataTableComponent, MatMenuComponent, ViewerComponent, SearchInputComponent, SearchOverlayComponent, SidenavComponent, SearchSortingPicker, SearchFilters, SearchFiltersTags, SearchFiltersCategories, SearchFiltersDate, SearchFiltersLocation, SearchFiltersLogic, SearchFiltersProperties } from '../components';
import { AcaHeader } from '../components/aca-header.component';
import { AdfConfirmDialogComponent, AdfFolderDialogComponent, UploadNewVersionDialog, ManageVersionsDialog } from '../components/dialogs';
export type SearchType = 'files' | 'folders' | 'filesAndFolders' | 'libraries';
export declare class SearchPage extends BasePage {
    private static pageUrl;
    constructor(page: Page);
    acaHeader: AcaHeader;
    matMenu: MatMenuComponent;
    folderDialog: AdfFolderDialogComponent;
    dataTable: DataTableComponent;
    viewer: ViewerComponent;
    searchInput: SearchInputComponent;
    searchOverlay: SearchOverlayComponent;
    searchSortingPicker: SearchSortingPicker;
    searchFilters: SearchFilters;
    searchFiltersTags: SearchFiltersTags;
    searchFiltersCategories: SearchFiltersCategories;
    searchFiltersDate: SearchFiltersDate;
    searchFiltersLocation: SearchFiltersLocation;
    searchFiltersProperties: SearchFiltersProperties;
    searchFiltersLogic: SearchFiltersLogic;
    sidenav: SidenavComponent;
    confirmDialogComponent: AdfConfirmDialogComponent;
    uploadNewVersionDialog: UploadNewVersionDialog;
    manageVersionsDialog: ManageVersionsDialog;
    searchWithin(searchText: string, searchType?: SearchType): Promise<void>;
    clickSearchButton(): Promise<void>;
}
