/*!
 * Copyright © 2005-2024 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Alfresco Example Content Application
 *
 * This file is part of the Alfresco Example Content Application.
 * If the software was purchased under a paid Alfresco license, the terms of
 * the paid license agreement will prevail. Otherwise, the software is
 * provided under the following open source license terms:
 *
 * The Alfresco Example Content Application is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Alfresco Example Content Application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * from Hyland Software. If not, see <http://www.gnu.org/licenses/>.
 */
export declare const APP_ROUTES: {
    FAVORITES: string;
    MY_LIBRARIES: string;
    FAVORITE_LIBRARIES: string;
    LOGIN: string;
    LOGOUT: string;
    PERSONAL_FILES: string;
    RECENT_FILES: string;
    SHARED_FILES: string;
    TRASHCAN: string;
};
export declare const SIDEBAR_LABELS: {
    PERSONAL_FILES: string;
    MY_LIBRARIES: string;
    FAVORITE_LIBRARIES: string;
    SHARED_FILES: string;
    RECENT_FILES: string;
    FAVORITES: string;
    TRASH: string;
};
export declare const SITE_ROLES: {
    SITE_MANAGER: {
        ROLE: string;
        LABEL: string;
    };
    SITE_CONSUMER: {
        ROLE: string;
        LABEL: string;
    };
    SITE_CONTRIBUTOR: {
        ROLE: string;
        LABEL: string;
    };
    SITE_COLLABORATOR: {
        ROLE: string;
        LABEL: string;
    };
    NONE: {
        LABEL: string;
    };
};
export declare const SITE_VISIBILITY: {
    PUBLIC: string;
    MODERATED: string;
    PRIVATE: string;
};
